org.apache.fop.render.ps

## Class PSImageFormResource

- java.lang.Object
- - org.apache.xmlgraphics.ps.PSResource
  - - org.apache.fop.render.ps.PSImageFormResource

All Implemented Interfaces:
  Comparable

    public class PSImageFormResource
    extends org.apache.xmlgraphics.ps.PSResource

PostScript Resource class representing a FOP form. This is used by PSRenderer to keep track of images.

### Field Summary

### Fields inherited from class org.apache.xmlgraphics.ps.PSResource

`TYPE_CIDFONT, TYPE_CMAP, TYPE_ENCODING, TYPE_FILE, TYPE_FONT, TYPE_FORM, TYPE_PATTERN, TYPE_PROCSET`

### Constructor Summary

Constructors
Constructor and Description
`PSImageFormResource(int id, String uri)` Create a new Form Resource.
`PSImageFormResource(String name, String uri)` /** Create a new Form Resource.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getImageURI()` Returns the image URI.
`int` `hashCode()`

### Methods inherited from class org.apache.xmlgraphics.ps.PSResource

`compareTo, getName, getResourceSpecification, getType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PSImageFormResource

    public PSImageFormResource(int id,
                               String uri)

Create a new Form Resource.

Parameters:
  `id` - An ID for the form
  `uri` - the URI to the image

#### PSImageFormResource

    public PSImageFormResource(String name,
                               String uri)

/** Create a new Form Resource.

Parameters:
  `name` - the name of the resource
  `uri` - the URI to the image

### Method Detail

#### getImageURI

    public String getImageURI()

Returns the image URI.

Returns:
  the image URI

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `org.apache.xmlgraphics.ps.PSResource`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `org.apache.xmlgraphics.ps.PSResource`